%define upstream_name    Physics-Particles
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Simulate particle dynamics
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Physics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Physics::Particles is a facility to simulate movements of a small number of
particles under a small number of forces that every particle excerts on the
others. Complexity increases with particles X particles X forces, so that
is why the number of particles should be low.

In the context of this module, a particle is no more or less than a set of
attributes like position, velocity, mass, and charge. The example code and
test cases that come with the distribution simulate the inner solar system
showing that when your scale is large enough, planets and stars may well be
approximated as particles. (As a matter of fact, in the case of gravity, if
the planet's shape was a sphere, the force of gravity outside the planet
would always be its mass times the mass of the body it excerts the force on
times the gravitational constant divided by the distance squared.)

Simulation of microscopic particles is a bit more difficult due to floating
point arithmetics on extremely small values. You will need to choose your
constant factors wisely.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1496599
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1270520
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1032054
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 947403
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 744520
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 685970
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 514185
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 371798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 1.20.0-1.mga2
+ Revision: 175384
- imported package perl-Physics-Particles


* Sat Dec 03 2011 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
